﻿function getOutlookHostedWindow() {
    return window.external;
}



function PrepareUrlArguments() {

    window.urlVars = new Object();

    var searchString = document.location.search;
    searchString = searchString.substring(1);

    var nvPairs = searchString.split("&");

    for (i = 0; i < nvPairs.length; i++) {
        var nvPair = nvPairs[i].split("=");
        var name = nvPair[0];
        var value = nvPair[1];

        window.urlVars[name] = value;

    }
}


function OpenWindowOutlookAware(inUrl, inName, inHeight, inWidth, inType) {
    PrepareUrlArguments();

    var isIFD = false;
    var isOutlook = false;

    var typeCode = inType;
    var typeName = "";


    if (window.urlVars["isIFD"] == "true")
        isIFD = true;

    if (window.urlVars["isOutlook"] == "true")
        isOutlook = true;

    if (inUrl) {
        if (isOutlook) {

            if (!(typeCode)) {
                try {
                    var startPos = inUrl.toString().indexOf("etn=", 0) + 4;
                    if (startPos > 4)
                        typeName = inUrl.toString().substr(startPos, inUrl.toString().indexOf("&", startPos + 1) - startPos);



                    if (typeName.toLowerCase() == "appointment")
                        typeCode = 4201;
                    else if (typeName.toLowerCase() == "task")
                        typeCode = 4212;
                    else if (typeName.toLowerCase() == "phonecall")
                        typeCode = 4210;
                    else if (typeName.toLowerCase() == "email")
                        typeCode = 4202;
                    else if (typeName.toLowerCase() == "letter")
                        typeCode = 4207;
                    else if (typeName.toLowerCase() == "serviceappointment")
                        typeCode = 4214;
                    else if (typeName.toLowerCase() == "fax")
                        typeCode = 4204;
                    else if (typeName.toLowerCase() == "systemuser")
                        typeCode = 8;

                }
                catch (e)
                { }

                if (!(typeCode)) {
                    try {
                        var startPos = inUrl.toString().indexOf("etc=", 0) + 4;
                        if (startPos > 4)
                            typeCode = inUrl.toString().substr(startPos, inUrl.toString().indexOf("&", startPos + 1) - startPos);

                    }
                    catch (e)
                    { }
                }
            }


            if (inUrl.toString().toLowerCase().indexOf("ptm_ifdred") > -1)
                typeCode = null;

            if (typeCode) {
                try {
                    var $v_V = getOutlookHostedWindow().openInspector(typeCode, inUrl.toString(), inWidth, inHeight);
                    // if (!IsNull($v_V))

                    if ($v_V)
                        $v_V.opener = window.self;

                    return $v_V;
                }
                catch (e) {
                    return openStandardWindow(inUrl, inName, inWidth, inHeight);
                }
            }
            else {
                return openStandardWindow(inUrl, inName, inWidth, inHeight);
            }
        }
        else {
            return openStandardWindow(inUrl, inName, inWidth, inHeight);
        }
    }
}


function openStandardWindow(sPath, sName, iX, iY) {
    if (!iX)
        iX = 750;
    if (!iY)
        iY = 510;


    try {

        var additionalParam = "&histKey=";
        try
        {
            var hashTag = window.top.location.hash.toString().substring(1);
            additionalParam += hashTag;
        }
        catch (e)
        {
            try
            {
                var hashTag = window.top.location.toString().substring(window.top.location.toString().indexOf('#')+1);
                additionalParam += hashTag;
            }
            catch (e2)
            {

                additionalParam += "genericap";
            }
        }

        additionalParam += "&newWindow=true";
        var thiswindow = window.open(sPath + additionalParam, sName, "width=" + iX + ",height=" + iY + ",status=1,resizable=1");

        //var thiswindow = window.open(sPath, sName, "width=" + iX + ",height=" + iY + ",status=1,resizable=1");
        var currentWindow = thiswindow;

        return currentWindow;

    }
    catch (e) {
        alert('error: ' + e.description);
    }
}

